- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# neethi_exactlyone.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <neethi_operator.h>`
`#include <neethi_includes.h>`

Go to the source code of this file.

## Typedefs
typedef struct neethi_exactlyone_t | neethi_exactlyone_t
## Functions
AXIS2_EXTERN neethi_exactlyone_t * | neethi_exactlyone_create (const axutil_env_t *env)
AXIS2_EXTERN void | neethi_exactlyone_free (neethi_exactlyone_t *neethi_exactlyone, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | neethi_exactlyone_get_policy_components (neethi_exactlyone_t *neethi_exactlyone, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_exactlyone_add_policy_components (neethi_exactlyone_t *exactlyone, axutil_array_list_t *arraylist, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_exactlyone_add_operator (neethi_exactlyone_t *neethi_exactlyone, const axutil_env_t *env, neethi_operator_t *op)
AXIS2_EXTERN axis2_bool_t | neethi_exactlyone_is_empty (neethi_exactlyone_t *exactlyone, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | neethi_exactlyone_serialize (neethi_exactlyone_t *neethi_exactlyone, axiom_node_t *parent, const axutil_env_t *env)

## Detailed Description